Name: icee
Summary: Embedded ICE by ZeroC, Inc.
Version: 1.0.0
Release: 1
License: Copyright ZeroC, Inc.
Group: System Environment/Libraries
URL: http://www.zeroc.com/
Distribution: SuSE 10.0 (i586)
Source0: http://www.zeroc.com/download/IceE/1.0/IceE-trans-%{version}.tar.gz
Source1: http://www.zeroc.com/download/IceE/1.0/IceE-%{version}.tar.gz
Source2: http://www.zeroc.com/download/IceE/1.0/IceEJ-%{version}.tar.gz
BuildRequires: python
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: i586

%description
This package contains the Ice-E engine for C++ and Java.

%prep
%setup -q -n IceE-trans-%{version} -T -D -b 0
sed -i -e 's/^prefix.*$/prefix = $\(RPM_BUILD_ROOT\)/' \
  $RPM_BUILD_DIR/IceE-trans-%{version}/config/Make.rules
%setup -q -n IceE-%{version} -T -D -b 1
sed -i -e 's/^prefix.*$/prefix = $\(RPM_BUILD_ROOT\)/' \
  $RPM_BUILD_DIR/IceE-%{version}/config/Make.rules
%setup -q -n IceEJ-%{version} -T -D -b 2

%build
cd $RPM_BUILD_DIR/IceE-trans-%{version}
make
cd $RPM_BUILD_DIR/IceE-%{version}
PATH=$RPM_BUILD_DIR/IceE-trans-%{version}/bin:$PATH; make; make test
cd $RPM_BUILD_DIR/IceEJ-%{version}
PATH=$RPM_BUILD_DIR/IceE-trans-%{version}/bin:$PATH; make; make test

%install
rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR/IceE-trans-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp bin/slice2cppe bin/slice2javae $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_DIR/IceE-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/lib
cp -a lib/* $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/IceE
cp -a include/IceE/* $RPM_BUILD_ROOT/usr/include/IceE
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/IceE-%{version}
cp -a demo/IceE/{bidir,callback,chat,hello,latency,minimal,throughput,workqueue} \
  $RPM_BUILD_ROOT/usr/share/doc/IceE-%{version}
cd $RPM_BUILD_DIR/IceEJ-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/share/java/midp
cp -a midp/lib/* $RPM_BUILD_ROOT/usr/share/java/midp
cp -a jdk/lib/IceE.jar $RPM_BUILD_ROOT/usr/share/java/IceE.jar
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/IceE-%{version}
cp -a demo/IceE/{jdk,midp} $RPM_BUILD_ROOT/usr/share/doc/IceE-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%package trans
Summary: IceE Translator for C++ and Java
Group: System Environment/Libraries
%description trans
This package contains the Ice-E translators for C++ and Java.
%files trans
%defattr(-,root,root,-)
/usr/bin/slice2cppe
/usr/bin/slice2javae
%post trans
%postun trans

%package c++
Summary: Embedded ICE for C++
Group: System Environment/Libraries
%description c++
This package contains the Ice-E engine for C++.
%files c++
%defattr(644,root,root,755)
/usr/lib/libIceEC.so
/usr/lib/libIceEC.so.10
/usr/lib/libIceEC.so.1.0.0
/usr/lib/libIceE.so
/usr/lib/libIceE.so.10
/usr/lib/libIceE.so.1.0.0
/usr/lib/libTestCommon.so
/usr/lib/libTestCommon.so.10
/usr/lib/libTestCommon.so.1.0.0
/usr/include/IceE
/usr/share/doc/IceE-%{version}
%post c++
%postun c++

%package java
Summary: Embedded ICE for Java
Group: System Environment/Libraries
%description java
This package contains the Ice-E engine for Java.
%files java
%defattr(644,root,root,755)
/usr/share/java/midp
/usr/share/java/IceE.jar
/usr/share/doc/IceE-%{version}
%post java
%postun java

%changelog
* Fri Jan 27 2006 Andreas Scherer <andreas_tug@freenet.de>
- Initial build
